Star Trek Armada II: Patch Project 1.2.5 released!

Talk about anything related to old versions of Armada.
1, 2
posted on January 19th, 2008, 11:56 am
1.2.5 (01/19/08)
Fixes:
  • Several smaller speed optimations
Changes:
  • Code updated to the latest Fleet Operations dev build
  • Loader-free. All Armada 2 executables are now left untouched. (previous PP installations are reverted back automatically by the installer.)
Features:
  • A new weapon for mod developers: ReplaceWeapon (Prometheus MVAM proof-of-concept)


[align=center]>Download Star Trek Armada II: Patch 1.2 Project here<[/align]

Readme:
Star Trek Armada II Patch Project
Copyright (C) 2007-2008 Fleet Operations Development Team
//www.fleetops.net/

What is it?
-----------
The Star Trek: Armada II Patch 1.2 Project is an unofficial patch made by the developers of the Fleet Operations total conversion for Star Trek Armada II.
It is meant as a patch for every Armada II installation, despite of it is stock or has been modded. It patches serveral bugs that were not fixed with the latest official 2002 release of Patch 1.1. More and more reports of people not being able to play Armada 2 coming up as today people are using much more enhanced software and hardware than 5 years ago. The developers of Armada 2 targeted Windows 98 and partly Windows 2000 as plattform.

The Patch 1.2 Project offers mod developers several new features. An overview can be found here: www.fleetops.net/component/option,com_smf/Itemid,3/topic,3545.0/

What is it not?
---------------
The patch project does not provide new textures sounds or anything else that is related to change the game experience. Patch 1.2 is fully backwards compatible with Armada 2 Patch 1.1. That means, you will be able to play together with people still using patch 1.1, while having the advantages of the Patch 1.2 Project.

The "Roadmap"
-------------
The first releases of Patch 1.2 are intended to fix Armada 2's bugs. Later version will feature full widescreen support and new enhancements for mod developers.

Who should install Patch 1.2?
-----------------------------
Everyone playing Star Trek Armada II.

Fleet Operations players do not require to install this patch. An enhanced version of that patch is included in Fleet Operations 3.0 final.

Changelog
---------

1.2.5 (01/19/08)
~~~~~~~~~~~~~~~~
Fixes:
- Several smaller speed optimations
Changes:
- Code updated to the latest Fleet Operations dev build
- Loader-free. All Armada 2 executables are now left untouched. (previous PP installations are reverted back automatically by the installer.)
Features:
- A new weapon for mod developers: ReplaceWeapon (Prometheus MVAM proof-of-concept)

1.2.4 (09/17/07)
~~~~~~~~~~~~~~~~
Fixes:
- Hotfixed a crash when trying to research Planetary Shields. Thanks Carsten S. for reporting.
- Hotfixed a bug with modular base support. Thanks Meredith for reporting.

1.2.3 (09/16/07)
~~~~~~~~~~~~~~~~
Fixes:
- Fixed a bug in "maxBuildableNumber" that could cause slowdowns on some systems.
Features:
- added a new command line parameter: /quick - skips the splash screen and intro video. Brings you directly to the main screen.
- Mod Developers: Armada1-like modular base support, that allows to build all classlabels as research pods, including crafts and stations.

1.2.2 (08/14/07)
~~~~~~~~~~~~~~~~
Fixes:
- Hopefully fixed the Xfire detection bug. Thanks TParis for reporting.
- Graphics detail is not longer set to "high" by default, which caused some problems with disappearing grid lines. Delete your config files if the error still persists.
Features:
- A new command for mod developers: Added "maxBuildableNumber" ODF command.

1.2.1 (07/10/07)
~~~~~~~~~~~~~~~~
Armada fixes:
- Another possible crash fixed when hosting games. Thanks ambassador for reporting
Changes:
- NetworkManager.dll file is now left untouched

1.2.0 (07/06/07)
~~~~~~~~~~~~~~~~
Armada fixes:
- "Sorry, there is not enough memory to continue" - screen
- Crash to desktop right after splash screen related to an stack overflow
- Multiplayer/Online crash with Vista (could fix Wine multiplayer issues too. To be confirmed).
Features:
- enhanced exception catching engine (MadExcept by madshi)

posted on March 29th, 2009, 7:58 am
I know that this is several months old, but I had a question for the devs.
How is the patch project backwards-compatible, when something like the Prometheus MVAM is included? I mean, if you were to incorporate that into the game, wouldn't it be completely incompatible with the person on the other side, if they didn't have the patch? I don't really know a lot about coding, but I would like to learn. So...how does it work?  :D
posted on March 29th, 2009, 10:07 am
backward compatible means that you can use all stuff that has been made in an older version (stock armaa2 for example) in the patch project without the need to alter it. people still require the same game version to play against, ofcourse
posted on January 20th, 2010, 12:54 am
should i download this, or is it included in 3.10?
posted on January 20th, 2010, 12:57 am
patches are not needed in FO. The patches required are already built in.  :thumbsup:
posted on January 20th, 2010, 4:01 am
Dude this isnt FO its the patch project.
posted on January 20th, 2010, 4:20 am
Ray, the Patch Project is just for Aramada II - not for the Fleet Operations "modification" (jeez, I hate calling it that  :sweatdrop: ).
posted on March 20th, 2010, 10:47 pm
Is there any way to script missions for this patch project?  If not, can something be included in the next release that allows mission scripting?
posted on March 20th, 2010, 10:53 pm
You'll want to visit this thread which contains the appropriate information for mission scripting :) Megadroid's MMM
posted on May 13th, 2010, 7:11 pm
does it include cardassians? :'(
posted on May 13th, 2010, 7:12 pm
Does what include them?
posted on May 13th, 2010, 7:17 pm
well yh all this is is an patch for stock a2 so all a2 stuff still work with this inc a2 mods it just dsnt have as many features as fleetops
posted on April 1st, 2013, 6:53 pm
Whats happened to the patch 1.2.5 download link :( I can't find it anywhere?
posted on April 2nd, 2013, 1:41 am
We don't support the 1.2.5PP anymore, but you can find it on A2files: http://armada2.filefront.com/file/Star_ ... _EXE;85981
posted on April 2nd, 2013, 7:45 pm
Thanks, its worked this time. I tried Filefront yesterday and both the exe version and zip version were unavailable. Filefront just aren't as reliable as the used to be. :thumbsup:
1, 2
Reply

Who is online

Users browsing this forum: No registered users and 3 guests